- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Data Structures | Typedefs | Enumerations | Functions
Proxy
Eldbus

## Data Structures
struct | _Eldbus_Proxy_Event_Property_Changed
struct | _Eldbus_Proxy_Event_Property_Loaded
struct | _Eldbus_Proxy_Event_Property_Removed

## Typedefs
typedef struct _Eldbus_Proxy_Event_Property_Changed | Eldbus_Proxy_Event_Property_Changed
typedef struct _Eldbus_Proxy_Event_Property_Loaded | Eldbus_Proxy_Event_Property_Loaded
typedef struct _Eldbus_Proxy_Event_Property_Removed | Eldbus_Proxy_Event_Property_Removed
typedef void(* | Eldbus_Proxy_Event_Cb )(void *data, Eldbus_Proxy *proxy, void *event_info)

## Enumerations
enum | Eldbus_Proxy_Event_Type { ELDBUS_PROXY_EVENT_PROPERTY_CHANGED = 0, ELDBUS_PROXY_EVENT_PROPERTY_REMOVED, ELDBUS_PROXY_EVENT_DEL, ELDBUS_PROXY_EVENT_PROPERTY_LOADED, ELDBUS_PROXY_EVENT_LAST }

## Functions
Eldbus_Proxy * | eldbus_proxy_get (Eldbus_Object *obj, const char *interface)
| Get a proxy of the following interface name in a Eldbus_Object.
Eldbus_Proxy * | eldbus_proxy_ref (Eldbus_Proxy *proxy)
| Increase proxy reference.
void | eldbus_proxy_unref (Eldbus_Proxy *proxy)
| Decrease proxy reference. More...
Eldbus_Object * | eldbus_proxy_object_get (const Eldbus_Proxy *proxy)
const char * | eldbus_proxy_interface_get (const Eldbus_Proxy *proxy)
void | eldbus_proxy_data_set (Eldbus_Proxy *proxy, const char *key, const void *data)
void * | eldbus_proxy_data_get (const Eldbus_Proxy *proxy, const char *key)
void * | eldbus_proxy_data_del (Eldbus_Proxy *proxy, const char *key)
void | eldbus_proxy_free_cb_add (Eldbus_Proxy *proxy, Eldbus_Free_Cb cb, const void *data)
| Add a callback function to be called when occurs a event of the type passed.
void | eldbus_proxy_free_cb_del (Eldbus_Proxy *proxy, Eldbus_Free_Cb cb, const void *data)
| Remove callback registered in eldbus_proxy_free_cb_add().
Eldbus_Message * | eldbus_proxy_method_call_new (Eldbus_Proxy *proxy, const char *member)
| Constructs a new message to invoke a method on a remote interface.
Eldbus_Pending * | eldbus_proxy_send (Eldbus_Proxy *proxy, Eldbus_Message *msg, Eldbus_Message_Cb cb, const void *cb_data, double timeout)
| Send a message. More...
Eldbus_Pending * | eldbus_proxy_call (Eldbus_Proxy *proxy, const char *member, Eldbus_Message_Cb cb, const void *cb_data, double timeout, const char *signature,...)
| Call a method in proxy. More...
Eldbus_Pending * | eldbus_proxy_vcall (Eldbus_Proxy *proxy, const char *member, Eldbus_Message_Cb cb, const void *cb_data, double timeout, const char *signature, va_list ap)
| Call a method in proxy. More...
Eldbus_Signal_Handler * | eldbus_proxy_signal_handler_add (Eldbus_Proxy *proxy, const char *member, Eldbus_Signal_Cb cb, const void *cb_data)
| Add a signal handler. More...
void | eldbus_proxy_event_callback_add (Eldbus_Proxy *proxy, Eldbus_Proxy_Event_Type type, Eldbus_Proxy_Event_Cb cb, const void *cb_data)
| Add a callback function to be called when occurs a event of the type passed.
void | eldbus_proxy_event_callback_del (Eldbus_Proxy *proxy, Eldbus_Proxy_Event_Type type, Eldbus_Proxy_Event_Cb cb, const void *cb_data)
| Remove callback registered in eldbus_proxy_event_callback_add().

## Detailed Description

## Enumeration Type Documentation

enum Eldbus_Proxy_Event_Type

Enumerator
ELDBUS_PROXY_EVENT_LAST | sentinel, not a real event type

## Function Documentation

void eldbus_proxy_unref | ( | Eldbus_Proxy * | proxy | ) |

Decrease proxy reference.

If reference == 0 proxy will be freed and all your children.

Eldbus_Pending* eldbus_proxy_send | ( | Eldbus_Proxy * | proxy,
|  | Eldbus_Message * | msg,
|  | Eldbus_Message_Cb | cb,
|  | const void * | cb_data,
|  | double | timeout
| ) |  |

Send a message.

Parameters

  proxy | the msg will be send in connection that proxy belongs
  msg | message that will be send
  cb | if msg is a method call a callback should be passed
  cb_data | data passed to callback
  timeout | timeout in milliseconds, -1 to default internal value or ELDBUS_TIMEOUT_INFINITE for no timeout

Referenced by ethumb_client_ethumb_setup().

Eldbus_Pending* eldbus_proxy_call | ( | Eldbus_Proxy * | proxy,
|  | const char * | member,
|  | Eldbus_Message_Cb | cb,
|  | const void * | cb_data,
|  | double | timeout,
|  | const char * | signature,
|  |  | ...
| ) |  |

Call a method in proxy.

Send a method call to interface that proxy belong with data.

Parameters

  proxy |
  member | method name
  cb | if msg is a method call a callback should be passed to be execute when response arrive
  cb_data | data passed to callback
  timeout | timeout in milliseconds, -1 to default internal value or ELDBUS_TIMEOUT_INFINITE for no timeout
  signature | of data that will be send
  ... | data value

Note
  This function only support basic type to complex types use eldbus_message_iter_* functions.

Referenced by ethumb_client_generate_cancel(), and ethumb_client_generate_cancel_all().

Eldbus_Pending* eldbus_proxy_vcall | ( | Eldbus_Proxy * | proxy,
|  | const char * | member,
|  | Eldbus_Message_Cb | cb,
|  | const void * | cb_data,
|  | double | timeout,
|  | const char * | signature,
|  | va_list | ap
| ) |  |

Call a method in proxy.

Send a method call to interface that proxy belong with data.

Parameters

  proxy |
  member | method name
  cb | callback that will be called when response arrive.
  cb_data | data passed to callback
  timeout | timeout in milliseconds, -1 to default internal value or ELDBUS_TIMEOUT_INFINITE for no timeout
  signature | of data that will be send
  ap | va_list of data value

Note
  This function only support basic type to complex types use eldbus_message_iter_* functions.

Eldbus_Signal_Handler* eldbus_proxy_signal_handler_add | ( | Eldbus_Proxy * | proxy,
|  | const char * | member,
|  | Eldbus_Signal_Cb | cb,
|  | const void * | cb_data
| ) |  |

Add a signal handler.

Parameters

  proxy | interface where the signal is emitted
  member | name of the signal
  cb | callback that will be called when this signal is received
  cb_data | data that will be passed to callback

References eina_list_append(), and eldbus_signal_handler_free_cb_add().